
Figure - Bug #118761
【AF】【EVT3】【Monkey】110版本Monkey测异常停止（4+27个APK）
2023-06-14 10:22 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-14

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 110

Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-06-15

Test Type: Monkey Test Root cause: 已修复该空指针问题

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

monkey异常停止，设备进入屏保

History

#1 - 2023-06-14 10:23 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118761

#2 - 2023-06-14 11:50 - CD FW 曹覃刚

■ 我的分析

Monkey注入事件报错，导致monkey停止

------------------------------

000092_persist_02155_230613_214448.log:128: 06-13 21:44:47.813  8641  8641 W Monkey  : * Error: A RuntimeException occurred:

000092_persist_02155_230613_214448.log:130: 06-13 21:44:47.813  8641  8641 W Monkey  : java.lang.NullPointerException: Attempt to invoke virtual method 'boolean

com.android.server.wm.TaskDisplayArea.isSplitScreenModeActivated()' on a null object reference

000092_persist_02155_230613_214448.log:131: 06-13 21:44:47.813  8641  8641 W Monkey  :     at android.os.Parcel.createExceptionOrNull(Parcel.java:2431)

000092_persist_02155_230613_214448.log:132: 06-13 21:44:47.813  8641  8641 W Monkey  :     at android.os.Parcel.createException(Parcel.java:2409)

000092_persist_02155_230613_214448.log:133: 06-13 21:44:47.813  8641  8641 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2392)

000092_persist_02155_230613_214448.log:134: 06-13 21:44:47.813  8641  8641 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2334)

000092_persist_02155_230613_214448.log:135: 06-13 21:44:47.813  8641  8641 W Monkey  :     at

android.app.IActivityManager$Stub$Proxy.startActivityAsUserWithFeature(IActivityManager.java:8620)

000092_persist_02155_230613_214448.log:136: 06-13 21:44:47.813  8641  8641 W Monkey  :     at

com.android.commands.monkey.MonkeyActivityEvent.injectEvent(MonkeyActivityEvent.java:73)

000092_persist_02155_230613_214448.log:137: 06-13 21:44:47.813  8641  8641 W Monkey  :     at

com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

000092_persist_02155_230613_214448.log:138: 06-13 21:44:47.813  8641  8641 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

000092_persist_02155_230613_214448.log:139: 06-13 21:44:47.813  8641  8641 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

000092_persist_02155_230613_214448.log:140: 06-13 21:44:47.813  8641  8641 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

000092_persist_02155_230613_214448.log:141: 06-13 21:44:47.813  8641  8641 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)
000092_persist_02155_230613_214448.log:142: 06-13 21:44:47.813  8641  8641 W Monkey  : Caused by: android.os.RemoteException: Remote stack trace:

000092_persist_02155_230613_214448.log:143: 06-13 21:44:47.813  8641  8641 W Monkey  :     at

com.android.server.wm.ActivityTaskSupervisor.handleNonResizableTaskIfNeeded(ActivityTaskSupervisor.java:2409)

000092_persist_02155_230613_214448.log:144: 06-13 21:44:47.813  8641  8641 W Monkey  :     at

com.android.server.wm.ActivityTaskSupervisor.handleNonResizableTaskIfNeeded(ActivityTaskSupervisor.java:2399)

000092_persist_02155_230613_214448.log:145: 06-13 21:44:47.813  8641  8641 W Monkey  :     at

com.android.server.wm.ActivityStarter.startActivityInner(ActivityStarter.java:1844)

000092_persist_02155_230613_214448.log:146: 06-13 21:44:47.813  8641  8641 W Monkey  :     at

com.android.server.wm.ActivityStarter.startActivityUnchecked(ActivityStarter.java:1576)

000092_persist_02155_230613_214448.log:147: 06-13 21:44:47.813  8641  8641 W Monkey  :     at

com.android.server.wm.ActivityStarter.executeRequest(ActivityStarter.java:1183)

000092_persist_02155_230613_214448.log:148: 06-13 21:44:47.813  8641  8641 W Monkey  :

000092_persist_02155_230613_214448.log:149: 06-13 21:44:47.814  8641  8641 I Monkey  : Events injected: 26449

000092_persist_02155_230613_214448.log:150: 06-13 21:44:47.814  8641  8641 I Monkey  : :Sending rotation degree=0, persist=false

000092_persist_02155_230613_214448.log:1372: 06-13 21:44:49.902  8641  8641 I Monkey  : // Generated profiling reports in /data/misc

000092_persist_02155_230613_214448.log:1373: 06-13 21:44:49.904  8641  8641 I Monkey  : :Dropped: keys=15 pointers=2 trackballs=0 flips=0 rotations=0

000092_persist_02155_230613_214448.log:1374: 06-13 21:44:49.904  8641  8641 I Monkey  : ## Network stats: elapsed time=4666835ms (0ms mobile, 0ms wifi, 4666835ms

not connected)

000092_persist_02155_230613_214448.log:1375: 06-13 21:44:49.905  8641  8641 W Monkey  : * System appears to have crashed at event 26449 of 32000000 using seed

1234567

------------------------------

■ 下一步计划

修复这个问题

#3 - 2023-06-14 15:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207168 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

FW:SystemOptimization: Fix the  pointer exception that causes monkey to stopTC-RID: 1201-0205101IssueID: TS-R-BUG-118761Change-Id:

I09f48d7ed452f65ea50cca63a34d2c619bc51ab0

#4 - 2023-06-14 15:31 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-06-15

- Root cause set to 已修复该空指针问题

#5 - 2023-06-14 15:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207157 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com
FW:SystemOptimization: Fix the  pointer exception that causes monkey to stopTC-RID: 1201-0205101IssueID: TS-R-BUG-118761Change-Id:

I09f48d7ed452f65ea50cca63a34d2c619bc51ab0(cherry picked from commit 0aac9fdf7193c1600352d71fa01f4267b00d5941)

#6 - 2023-07-25 16:25 - CD TEST-方永红

7.25

该问题给出了明确的修复方案，如有新的monkey停止再另起票

先关闭此问题

#7 - 2023-07-25 16:25 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#8 - 2023-07-25 16:25 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
